Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005143 [JEDI VCL] 00 JVCL Components block always 2010-01-29 23:19 2011-06-10 16:09
Reporter Cyclatron View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.38
Summary 0005143: JvScheduledEvents -> "cannot assign a TJvEventCollectionItem to a TJvEventCollectionItem"
Description Occurred in D2010 Pro and Delphi 7 Pro

Tried adding a frame to the main project after a simple JvImage (with a pic in it) was added. I then tried adding a event to the frame. I got
"cannot assign a TJvEventCollectionItem to a TJvEventCollectionItem"
Seems to be in 3.38 and 3.39 versions.
Additional Information I originally thought the error was related to the TJvAppIniFileStorage component but seems not to be because I eliminated it from the project. Next, I mimicked the project layout in the sample I'm submitting. I noticed that if the image is added to the project AFTER the frame is added there "seems" to not be a problem. Since moving the JvScheduledEvents on the frame leads to the error dialog box, I'm assuming the main form is having a problem streaming properties to the dfm.
Sample provided does reproduce conditions on my machine by simply trying to add a event to the JvScheduledEvents component.
Tags No tags attached.
Attached Files zip file icon JvScheduledEvents App.zip [^] (140,889 bytes) 2010-01-29 23:19

- Relationships

-  Notes
(0017257)
obones (administrator)
2010-03-08 16:18

I'm sorry, but what should I do with your demo? There does not seem to be any button I could click on to trigger a bug
(0017310)
AHUser (developer)
2010-03-16 23:35

Fixed in SVN.

The TJvEventCollectionItem class didn't have a Assign() override that is required for visual inheritance and frames.

- Issue History
Date Modified Username Field Change
2010-01-29 23:19 Cyclatron New Issue
2010-01-29 23:19 Cyclatron File Added: JvScheduledEvents App.zip
2010-03-08 16:18 obones Note Added: 0017257
2010-03-08 16:18 obones Status new => feedback
2010-03-16 23:35 AHUser Note Added: 0017310
2010-03-16 23:35 AHUser Status feedback => resolved
2010-03-16 23:35 AHUser Fixed in Version => Daily / SVN
2010-03-16 23:35 AHUser Resolution open => fixed
2010-03-16 23:35 AHUser Assigned To => AHUser
2011-06-10 16:09 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker